#!/usr/bin/perl

use String::Approx 'aindex';

my $ref_seq_file = @ARGV[0];
open(REF_SEQ, "$ref_seq_file");
my $ref_seq = <REF_SEQ>;
print "$ref_seq\n";
#$err = <STDIN> * length($ref_seq) / 100.0;
#print $err;
while (<STDIN>) {
    my $to_match = $_;
    if (substr($_, 0, 1) eq ">") {
	next;
    }
    $_ = $ref_seq;
    print "$_\n";
    my $index = aindex($to_match, ["I 2", "D 2", "S 2"]);
    print "$index\n";
}
